package hu.elte.korszeru;

import java.io.IOException;

import org.apache.hadoop.io.IntWritable;
import org.apache.hadoop.io.Text;
import org.apache.hadoop.mapred.MapReduceBase;
import org.apache.hadoop.mapred.Mapper;
import org.apache.hadoop.mapred.OutputCollector;
import org.apache.hadoop.mapred.Reporter;

public class Feladat2Mapper2 extends MapReduceBase implements Mapper<Text, Text, Text, IntWritable> {

	@Override
	public void map(Text key, Text value,
			OutputCollector<Text, IntWritable> context, Reporter reporter)
			throws IOException {
		String[] s = value.toString().split(",");
			context.collect(new Text(s[4]),new IntWritable(1));
		
		/*
		 * tweet
		RUN_ID					0
		TWEET_ID				1
		CREATED_AT				2
		UTC_OFFSET				3	
		USER_ID					4
		PLACE_ID				5
		LON						6
		LAT						7
		CX						8
		CY						9
		CZ						10
		HTM_ID					11
		IN_REPLY_TO_TWEET_ID	12
		IN_REPLY_TO_USER_ID		13
		POSSIBLY_SENSITIVE		14
		POSSIBLY_SENSITIVE_EDITABLE	15
		RETWEET_COUNT			16
		TEXT					17
		TRUNCATED
		LANG
		LANG_WORD_COUNT
		LANG_GUESS1
		LANG_GUESS2
		UNIQUE_ID
		*/		
	}

}
